//
//  main.cpp
//  nesusedni
//
//  Created by Sara on 27.11.21..
//

#include <iostream>
#include <cmath>

using namespace std;
void printString(string c,long long int a1,long long  int a2){
    if (a1>=a2){
        for (auto i =0; i <a1+a2;i++ ){
            if (i%2==0)
                cout<<c[0];
            else
                cout<<c[1];
        }
    }
    if (a1<a2){
        for (auto i =0; i <a1+a2;i++ ){
            if (i%2==0)
                cout<<c[1];
            else
                cout<<c[2];
        }
    }
    
        
}
int main(int argc, const char * argv[]) {
    string c;
    long long int a1,a2;
    cin>>c>>a1>>a2;
    if(c[0]==c[1]){
        cout<<"nemoguce";
    }
    if (abs(a1-a2)<=1){
        printString(c, a1, a2);
    }
    else{
        cout<<"nemoguce";
    }
    
    
    return 0;
}